@font-face {
    font-family: "Fedra Sans Barilan Medium";
    src: url("../fonts/FedraSansBarilan-Medium.otf");
}

@font-face {
    font-family: "Fedra Sans Barilan Book";
    src: url("../fonts/FedraSansBarilan-Book.otf");
}

:root {
    direction: rtl;
}

html {
    height: 100%;
}

body {
    height: 100%;
    width: 100%;
    margin: 0;
    font-family: "Fedra Sans Barilan Medium", Arial, Helvetica, sans-serif;
    font-size: 2.25rem;
    font-weight: bold;
    background-image: linear-gradient(to right, #5adcfa, #004128);
    color: #f3f4f8;
    transform-origin: top;
}

#landscape {
    display: none;
    font-family: "Fedra Sans Barilan Book", Arial, Helvetica, sans-serif;
    font-weight: normal;    
}

#container {
    position: absolute;
    width: 100%;
    height: 100vh;    
    margin: 0 auto;
    padding: 0 40px;
    /*background-image: linear-gradient(to bottom right, #5adcfa, #004128, #78fffe);*/    
    box-sizing: border-box; 
}

#logo {
    max-width: 150px;
    margin: 10px;
    position: absolute;
    top: 0;
}

#main_title {
    margin: 0 auto;
    text-align: center;
    font-size: 2rem;
}

#hint {
    text-align: center;
    font-size: 3rem;
    margin: 0 auto 2rem;
    width: 80%;
}

.green {
    /*background-color: #004128;*/
    border-radius: 8px;
    padding: 10px 20px;
    color: #004128;
}

#puzzle {
	margin: 0 auto;
	padding: 10px;
	border: none;
    table-layout: fixed;
    width: 100%;
}

#puzzle td {
    width: 4.5%;
}

.square{
	width:90%;	
    aspect-ratio: 1 / 1;
	margin: 5%;
	padding: 0;
	border-collapse: collapse;
    position: relative;
    background-color: white;
    color: #004128;
    line-height: 1.75;
}

.incorrect {
    background-color: red!important;
}

.correct {
    background-color: #ead7b8;
}

.empty{
    background-color: transparent;
}

.letter{
    border: 1px solid #b0987c;
    text-align: center;
    cursor: pointer;
    box-shadow: -4px 4px #b0987c;
    font-size: 2.25rem;
    border-radius: 8px;
    color: #004128;
}

#buttons_container{
    clear: both;
    padding-top: 20px;
    margin-left: 50px;
}

.active{
    border-color: red;
}

.highlighted {
    background-color: #a7e1d1;
}

.question_number{
    display: none;
    position: absolute;
    font-size: 16px;
    color: black;
    left: 10px;
    top: 10px;
    z-index: 9999;
}

td{
    position:relative;
}

.modal {
    font-size: 2rem;
    text-align: center;
}
  
.button {
    background-color: #004128;
    border: none;
    color: white;
    padding: 16px 32px;
    text-align: center;
    font-size: 1rem;
    margin: 4px 2px;
    opacity: 0.8;
    transition: 0.3s;
    display: block;
    text-decoration: none;
    cursor: pointer;
    margin: 0 auto;
    border-radius: 8px;
    max-width: 80px;
}

.button:hover {opacity: 1}

.right {
    width: 20%;
    box-sizing: border-box;
    padding: 1rem;
    position: absolute;
    top: 0;
    right: 0;
}

.left {
    width: 100%;
    box-sizing: border-box;
    padding: 0 1rem;
}

#congrats-text {
    color: #004128;
}

.custom-modal {
    width: 80%;
}

.custom-blocker {
    background-color: transparent!important;
}

@media only screen and (max-width: 1080px) {
    body {
        font-size: 1.25rem;
    }

    #landscape {
        display: block;
        text-align: center;
        margin: 2rem auto 0;
    }
    
    #container {
        padding: 0 5px;
    }
    .square{
        height: 40px;
        width: 40px;
        margin: 5% 15%;        
    }

    .letter{
        font-size: 1.25rem;
        box-shadow: -2px 2px #b0987c;
        border-radius: 5px;
    }

    .question_number{
        font-size: 0.7rem;
        left: 5px;
        top: 5px;
    }
}

@media only screen and (max-width: 900px) {
    .square{
        height: 25px;
        width: 25px;
        margin: 5% 15%;        
    }

    .letter{
        font-size: 1rem;  
    }

    #hint {
        font-size: 3rem;
    }

    #main_title {
        font-size: 1.5rem;
    }
}

@media only screen and (max-width: 700px) {
    .square{
        height: 20px;
        width: 20px;
        margin: 5% 15%;        
    }

    #puzzle {
        padding: 5px;
    }
    
    .letter{
        font-size: 0.85rem;
        box-shadow: -2px 2px #b0987c;
        border-radius: 4px;        
    }

    .question_number{
        font-size: 0.65rem;
        left: 3px;
        top: 3px;
    }
}

@media only screen and (max-width: 500px) {
    .right {
        right: -15px;
    }

    .square{
        height: 15px;
        width: 15px;
        margin: 5% 15%;        
    }

    .letter{
        font-size: 0.75rem;
        box-shadow: -2px 2px #b0987c;
        border-radius: 4px;        
    }

    .question_number{
        font-size: 0.5rem;
        left: 1px;
        top: 1px;
    }

    #puzzle {
        padding: 2px;
    }

    #logo {
        max-width: 60px;
        margin-top: 1rem;
    }    

    #main_title {
        font-size: 1rem;
    }

    #hint {
        font-size: 2rem;
    }
}
